Operations
Run hardware test
Starts a non-destructive hardware test on the service and returns the created operation, which continues after the response.
Autorizaciones
- Authorizationstringheaderobligatorio
Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.
Permiso necesario: organization.baremetal.deploy
Parámetros de ruta
- idstring<uuid>obligatorio
Cuerpo
application/json- isCpuIncludedbooleanobligatorio
- isMemoryIncludedbooleanobligatorio
- isDiskIncludedbooleanobligatorio
- isSmartIncludedbooleanobligatorio
- cpuDurationSecondsinteger<int32> | null
- memoryDurationSecondsinteger<int32> | null
- diskDurationSecondsinteger<int32> | null
- cpuWorkersinteger<int32> | null
- memoryPercentinteger<int32> | null
- diskBlockSizestring | null
- diskIoDepthinteger<int32> | null
Respuesta
201 · application/jsonCreated
- successbooleanobligatorio
- dataobject | nullobligatorio